package com.qmth.distributed.print.business.bean.dto;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.distributed.print.business.enums.CourseDimensionSourceEnum;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 知识点Md5比对dto
 * @Author: CaoZixuan
 * @Date: 2024-03-13
 */
public class CourseDimensionMd5Dto {

    @ApiModelProperty(value = "来源")
    private CourseDimensionSourceEnum source;

    @ApiModelProperty(value = "知识点编号")
    private String code;

    @ApiModelProperty(value = "知识点名称")
    private String name;

    @ApiModelProperty(value = "排序")
    private Integer number;

    @ApiModelProperty(value = "父id（顶级知识点父id为0）")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long parentId;

    public CourseDimensionSourceEnum getSource() {
        return source;
    }

    public void setSource(CourseDimensionSourceEnum source) {
        this.source = source;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public Integer getNumber() {
        return number;
    }

    public void setNumber(Integer number) {
        this.number = number;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }
}
